Bug 79866 - No documentation for kpat Golf game
Summary: No documentation for kpat Golf game
Status: RESOLVED FIXED
Alias: None
Product: docs.kde.org
Classification: Websites
Component: Missing Content (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Lauri Watts
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-18 09:13 UTC by Daniel Schepler
Modified: 2006-04-27 11:13 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Schepler 2004-04-18 09:13:26 UTC
Version:            (using KDE KDE 3.2.2)
Installed from:    Debian testing/unstable Packages

(This is being forwarded from Debian bug #215013.)

From Martin Pitt <martin AT piware DOT de>:

Hi!

The kpat documentation does not explain the rules for the games 'Golf'
and 'Klondike (draw 3)'. The latter is obvious, it could be mentioned
in the documentation of Klondike, but Golf certainly deserves a word
or two.

Thanks,

Martin
Comment 1 Lauri Watts 2005-01-05 20:36:37 UTC
I've got a patch fixing the first part (klondike) but someone who knows the rules to the Golf game (or can point me to some) will need to finish this up
Comment 2 Stephan Kulow 2005-01-13 14:58:00 UTC
Am Wednesday 05 January 2005 20:36 schrieb Lauri Watts:

> ------- Additional Comments From lauri kde org  2005-01-05 20:36 -------
> I've got a patch fixing the first part (klondike) but someone who knows the rules to the Golf game (or can point me to some) will need to finish this up
> 
http://www.freegames.ws/games/card_games/golf_solitaire_hilo/golf_solitaire.htm looks good. 
The rules are _really_ simple: just click till something moves :)

Greetings, Stephan

Comment 3 Brian Beck 2005-02-13 09:25:40 UTC
I have written the rules to golf solitare.  Please correct me if I made an error, hopfully I am accurate in my description.


Golf

Golf is played with one card deck.  The goal of Golf is to move all the cards on the tableau to the talon.

The layout of golf solitare is straight forward.  At the beginning of the game you will see, the tableau, on it are seven columns each containing five cards.  Below that is the reserve and the talon.

Playing golf solitare is simple, but does require strategy to win.  The cards at the base of each column on the tableau are available for play.  Available cards are built upon the top talon card in ascending or descending sequence regardless of suit.  If there are no moves available a card may be dealt from the reserve to the talon.  A game is over when there are no more possible moves.
Comment 4 Stephan Kulow 2005-02-13 13:52:13 UTC
On Sunday 13 February 2005 09:25, Brian Beck wrote:
>
> The layout of golf solitare is straight forward.  At the beginning of the
> game you will see, the tableau, on it are seven columns each containing
> five cards.  Below that is the reserve and the talon.
>
> Playing golf solitare is simple, but does require strategy to win.  The
> cards at the base of each column on the tableau are available for play. 
> Available cards are built upon the top talon card in ascending or
> descending sequence regardless of suit.  If there are no moves available a
> card may be dealt from the reserve to the talon.  A game is over when there
> are no more possible moves.
I think you got the terms wrong here. The talon are the cards that are upside
down - the thing you reference as reserve. The thing you reference as talon is
best described as foundation - as the goal of the game is to have all cards in
the foundation.

Greetings, Stephan

Comment 5 Brian Beck 2005-02-13 17:54:36 UTC
I got the talon term from Helen Coops "100 Games of Solitaire".  It is in fact the proper term, classically you held the pack in your hand face down, the "point" on the layout was called the talon.

Technically I should have used the term pack instead of reserve, but I thought that it helped illustrate to the reader more clearly what I was talking about.

It's no biggie I'm not married to those terms, I think changing them is incorrect, but we can call the piles anything you'd like.  :)

So do you want me to rewrite where talon => foundation and reserve => talon?
Comment 6 Stephan Kulow 2005-02-14 17:11:32 UTC
it should be consistent with the rest of kpat docu and the terms are introduced the way I named them. If you think they should be named differently, you should change it throughout the documentation - I'm fine with that, it just might be the wrong timing now.
Comment 7 Brian Beck 2005-02-15 17:36:46 UTC
Rules for golf solitare, but using consistant terminology...

Golf

Golf is played with one card deck.  The goal of Golf is to move all the cards on the tableau to the foundation.

The layout of golf solitare is straight forward.  At the beginning of the game you will see, the tableau, on it are seven columns each containing five cards.  Below that is the talon and the foundation.

Playing golf solitare is simple, but does require strategy to win.  The cards at the base of each column on the tableau are available for play.  Available cards are built upon the top foundation card in ascending or descending sequence regardless of suit.  If there are no moves available a card may be dealt from the talon to the foundation.  A game is over when all the cards in the talon have been dealt and there are no more possible moves.
Comment 8 Lauri Watts 2005-02-24 22:03:53 UTC
CVS commit by lauri: 

Patches from Brian Beck

BUG:96471
BUG:79866


  M +16 -11    kbattleship/index.docbook   1.36
  M +12 -0     kpat/index.docbook   1.42


--- kdegames/doc/kbattleship/index.docbook  #1.35:1.36
@@ -46,6 +46,6 @@
 
 
-<date>2003-09-18</date>
-<releaseinfo>1.00.00</releaseinfo>
+<date>2005-02-20</date>
+<releaseinfo>1.1</releaseinfo>
 
 <abstract>
@@ -103,5 +103,5 @@
 <para>
 A dialog box opens which will ask you for for a
-<guilabel>Nickname</guilabel> and <guilabel>Port</guilabel>. Normally,
+<guilabel>Nick name</guilabel> and <guilabel>Port</guilabel>. Normally,
 &kbattleship; will suggest your login name but you can enter any string
 you want. The predefined port should be OK. However, if you encounter
@@ -118,5 +118,5 @@
 The other player has to choose <menuchoice><guimenu>Game</guimenu>
 <guimenuitem>Connect to Server</guimenuitem></menuchoice>, or press
-<keycap>F2</keycap>. Again, a <guilabel>Nickname</guilabel> is
+<keycap>F2</keycap>. Again, a <guilabel>Nick name</guilabel> is
 suggested, but you can choose any name you like.
 </para>
@@ -309,10 +309,11 @@
 <menuchoice>
 <guimenu>Settings</guimenu>
-<guimenuitem>Configure Shortcuts...</guimenuitem>
+<guimenuitem>Play Sounds</guimenuitem>
 </menuchoice>
 </term>
 <listitem>
 <para>
-<action>Configure the keyboard shortcuts used by &kbattleship;.</action>
+<action>Toggle whether sounds (played when shooting) should be played.</action>
+The default is on.
 </para>
 </listitem>
@@ -323,10 +324,10 @@
 <menuchoice>
 <guimenu>Settings</guimenu>
-<guimenuitem>Configure Notifications...</guimenuitem>
+<guimenuitem>Configure Shortcuts...</guimenuitem>
 </menuchoice>
 </term>
 <listitem>
 <para>
-<action>Configure</action> the audio and visual notifications used by &kbattleship;.
+<action>Configure the keyboard shortcuts used by &kbattleship;.</action>
 </para>
 </listitem>
@@ -337,15 +338,15 @@
 <menuchoice>
 <guimenu>Settings</guimenu>
-<guimenuitem>Play Sounds</guimenuitem>
+<guimenuitem>Configure Notifications...</guimenuitem>
 </menuchoice>
 </term>
 <listitem>
 <para>
-<action>Toggle whether sounds (played when shooting) should be played.</action>
-The default is on.
+<action>Configure</action> the audio and visual notifications used by &kbattleship;.
 </para>
 </listitem>
 </varlistentry>
 
+
 </variablelist>
 </sect1>
@@ -435,4 +436,8 @@
 </itemizedlist>
 
+<para>Documentation updated for &kde; 3.4 by
+<personname><firstname>Brian</firstname><surname>Beck</surname></personname>
+<email>brian.beck@mchsi.com</email></para>
+
 <!-- TRANS:CREDIT_FOR_TRANSLATORS -->
 

--- kdegames/doc/kpat/index.docbook  #1.41:1.42
@@ -735,4 +735,16 @@
 </sect1>
 
+<sect1 id="golf">
+<title>Golf</title>
+
+<para><indexterm><primary>Golf</primary></indexterm> 
+Golf is played with one card deck.  The goal of Golf is to move all the cards on the tableau to the foundation. </para>
+ 
+<para>The layout of golf solitare is straight forward.  At the beginning of the game you will see, the tableau, on it are seven columns each containing five cards.  Below that is the talon and the foundation. </para>
+
+<para>Playing golf solitare is simple, but does require strategy to win.  The cards at the base of each column on the tableau are available for play.  Available cards are built upon the top foundation card in ascending or descending sequence regardless of suit.  If there are no moves available a card may be dealt from the talon to the foundation.  A game is over when all the cards in the talon have been dealt and there are no more possible moves.</para>
+
+</sect1>
+
 </chapter>